/***********************************************************************
File: Image.cpp
Purpose: Class for holding Image Information

Date       Author       Notes      
----------------------------------------------------------------------
11/15/05   tmorelli     Initial Version       


***********************************************************************/

#ifndef __IMAGE_H__
#define __IMAGE_H__

#include "Point.h"


#define NULL 0
#define BYTES_PER_PIXEL 3



class Image
{
  public:
    Image(char * _fileName);
    Image();
    ~Image();
    void WriteImage(char * _fileName = NULL);

    void DrawRectangle(Point _top, Point _bottom, char _color = 0xff);
    void SetFileName(char * _fileName);


    int RawPoint(Point _point);


    void InitImage();
    void FindDiffs();

    Point ConvertToPoint(unsigned long _x);

    int width;
    int height;
    int maxValue;
    char * fileName;
    char * data;
};
#endif
