/***********************************************************************
File: ImageProc.cpp
Purpose: Class for holding Images 

Date       Author       Notes      
----------------------------------------------------------------------
11/14/05   tmorelli     Initial Version       


***********************************************************************/

#ifndef __IMAGEPROC_H__
#define __IMAGEPROC_H__

#include "Image.h"
#include "Region.h"

#define MAX_IN_FILES 5
#define MAX_REGIONS 1024

#define BASE_IMAGE 0

class ImageProc
{
  public:
    ImageProc();
    ~ImageProc();
    void SetBaseImage(char * _image);
    void SetNextImage(char * _imageName);
    Image * ImgSub(Image * _a, Image * _b);
    void SubtractImages();
    void FindDiffs(Image * _in, Image * _out);
    Point ConvertToPoint(unsigned long _x);



  private:
    void AddToRegion(Point _point);
    int FindRegion(Point _point);

    Image * inFiles[MAX_IN_FILES];
    int totalFiles;
    Region * regions[MAX_REGIONS];
    int totalRegions;

    void DumpRegions(Image * _out);
};
#endif
